import request from '@/utils/request'
const baseUrl = '/api/upcloud-base-wh-dev-mysql-eistest'
// export function getContainerLocationByContainerNoAndPalletNo(params) {
//   return request({
//     // url: 'mapi/eis/containerMonitoring',
//     url: '/master/containerLocation/get-containerLocation-containerNoAndPalletNo',
//     method: 'get',
//     params: params
//     // params: params
//   })
// }
export function computeAllLocatorApi(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisLocator/computeAllLocator',
    method: 'get',
    //   data: params
    params: params,
  })
}

export function add(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisStationService/station/add',
    method: 'post',
    data: params,
    // params: params
  })
}

// stationupdate
export function update(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisLocator/goods/store/update',
    method: 'post',
    data: params,
    // params: params
  })
}

//   /eisStationService/station/delete

export function deletes(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisStationService/station/delete',
    method: 'post',
    //   data: params,
    params: params,
  })
}

export function adjustupdate(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisLocator/goods/adjust/update',
    method: 'post',
    data: params,
    // params: params
  })
  //   /eisLocator/goods/get
  //   /eisLocator/goods/adjust/update
}

export function goodsget(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisLocator/goods/get',
    method: 'post',
    // data: params
    params: params,
  })
}

// 对货位组表进行修改 POST

// /eisLocator/goods/group/update

export function groupupdate(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisLocator/goods/group/update',
    method: 'post',
    data: params,
    //   params: params
  })
}

// /eisLocator/recalibrate

export function recalibrateApi(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisLocator/recalibrate',
    method: 'post',
    data: params,
    //   params: params
  })
}
//下载模板
export function downloadLocatorTemplate(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: '/api/upcloud-base-wh-dev-mysql-eistest/eisLocator/downloadLocatorTemplate',
    method: 'post',
    data: params,
    responseType: 'blob',
    timeout: 100000,
    //   params: params
  })
}
